package cn.com.infosec.jce.provider.symmetric;

import cn.com.infosec.asn1.DERObjectIdentifier;
import cn.com.infosec.asn1.kisa.KISAObjectIdentifiers;
import java.util.HashMap;

public class SEEDMappings extends HashMap {
   public SEEDMappings() {
      SEEDMappings var10000 = this;
      SEEDMappings var10001 = this;
      SEEDMappings var10002 = this;
      SEEDMappings var10003 = this;
      SEEDMappings var10004 = this;
      SEEDMappings var10005 = this;
      SEEDMappings var10006 = this;
      SEEDMappings var10007 = this;
      SEEDMappings var10008 = this;
      super();
      this.put("AlgorithmParameters.SEED", "cn.com.infosec.jce.provider.symmetric.SEED$AlgParams");
      DERObjectIdentifier var2;
      this.put("Alg.Alias.AlgorithmParameters." + (var2 = KISAObjectIdentifiers.id_seedCBC), "SEED");
      var10008.put("AlgorithmParameterGenerator.SEED", "cn.com.infosec.jce.provider.symmetric.SEED$AlgParamGen");
      var10007.put("Alg.Alias.AlgorithmParameterGenerator." + var2, "SEED");
      var10006.put("Cipher.SEED", "cn.com.infosec.jce.provider.symmetric.SEED$ECB");
      var10005.put("Cipher." + var2, "cn.com.infosec.jce.provider.symmetric.SEED$CBC");
      var10004.put("Cipher.SEEDWRAP", "cn.com.infosec.jce.provider.symmetric.SEED$Wrap");
      DERObjectIdentifier var1;
      var10003.put("Alg.Alias.Cipher." + (var1 = KISAObjectIdentifiers.id_npki_app_cmsSeed_wrap), "SEEDWRAP");
      var10002.put("KeyGenerator.SEED", "cn.com.infosec.jce.provider.symmetric.SEED$KeyGen");
      var10001.put("KeyGenerator." + var2, "cn.com.infosec.jce.provider.symmetric.SEED$KeyGen");
      var10000.put("KeyGenerator." + var1, "cn.com.infosec.jce.provider.symmetric.SEED$KeyGen");
   }
}
